'use strict';

angular.module('BillyCmsBackend').controller('AttributesCtrl', ['$scope', '$http', 'AdditionalAttribute', function($scope, $http, AdditionalAttribute) {
    var self = this;

    this.selectedTabIndex = 0;

    this.resetNewPageType = function() {
        this.newAttribute = new AdditionalAttribute();
    };
    this.resetNewPageType();

    this.createAttribute = function() {
        $http.post('/billy_cms/api/attributes.json', this.newAttribute)
            .then(function(result) {
                var attribute = new AdditionalAttribute(result.data.attribute);
                $scope.app.allAdditionalAttributes.push(attribute);

                self.selectedTabIndex = 0;
            })
            .catch(function(response) {
                var err = response.status + ': ' + response.data.error;
                alert(err);
            });
    };

    return this;
}]);