module BillyCms
  class BaseController < ActionController::Base
    layout 'application'
    before_filter :set_page_object
    # Prevent CSRF attacks by raising an exception.
    # For APIs, you may want to use :null_session instead.
    protect_from_forgery with: :exception

    def show
    end

    def set_page_object
      path = params[:path]
      if request.path == root_path
        @page = Page.friendly.find('startseite')
      elsif path
        slug = path.split('/').last
        @page = Page.friendly.find(slug)
      end
    end
  end

end