module BillyCms
  class AdditionalAttribute < ActiveRecord::Base
    include ActiveModel::Serialization

    has_many :additional_attributes_page_types, class_name: 'BillyCms::AdditionalAttributesPageTypes'
	  has_many :page_types, through: :additional_attributes_page_types

    validates_presence_of :title
    validates_presence_of :name
    validates_presence_of :attribute_type
  end
end
