module BillyCms
  module ContentHelper

    def page_field(page, field, options = {})
      tag_name = options[:tag] || :div
      html_options = {
          :'billycms-attribute' => field.to_s,
          :'billycms-page' => page[:id],
          :contenteditable => false,
          :class => ''
      }.merge(options[:html] || {})
      html_options[:class] += " page-#{field.to_s}"
      content_tag tag_name, page.send(field).to_s.html_safe, html_options
    end

    def cms_image(obj, options = {})
        content_tag :div, class: "page-content page-content-binary", 'billycms-attribute'  => 'content', 'billycms-page' => obj[:id] do
          image_tag(obj.content.to_s) +
          file_field_tag(:obj_input_file)
        end
    end

  end
end
