class BillyRouter
  def call(env)
    # Matched from routes, you can access all matched parameters
    path = env['action_dispatch.request.path_parameters'][:path]
    slug = path.split('/').last

    page = BillyCms::Page.friendly.find(slug)
    controller_class_name = page.page_type.to_s.camelcase + 'Controller'

    begin
      controller_name = controller_class_name.constantize
    rescue NameError
      controller_name = CmsController
    end

    action_name = 'show'

    controller_name.action(action_name.to_sym).call(env)
  end
end